Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSDefineFont

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSDefineObject
                  com.flagstone.transform.FSDefineFont

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSDefineFont

extends FSDefineObject

FSDefineFont defines the glyphs that are drawn when text characters are rendered in a particular font.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
identifier | An unique identifier for this object in the range 1..65535.
shapes | An array of FSShape objects contain the sequences of FSLine, FSCurve and FSShapeStyle objects used to trace the outlines for each glyph.

A complete definition of a font is created using the FSDefineFont object for the glyphs along with an FSFontInfo object which contains the name of the font, whether the font face is bold or italics and a table that maps character codes to the glyphs that is drawn to represent the character.

When defining a font only the glyphs used from a particular font are included. Unused glyphs can be omitted greatly reducing the amount of information that is encoded.

## History

The FSDefineFont class represents the DefineFont structure from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 1.

Field Summary

Fields inherited from class com.flagstone.transform.FSDefineObject
`identifier`

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSDefineFont(FSCoder coder)` Construct an FSCall object, initialising it with values decoded from an encoded object.
`FSDefineFont(FSDefineFont obj)` Constructs an FSDefineFont object by copying values from an existing object.
`FSDefineFont(int anIdentifier, java.util.ArrayList anArray)` Constructs an FSDefineFont object setting the unique identifier for the object and the array of glyphs used to render the characters used from the font.

Method Summary
`void` | `add(FSShape anObject)` Add a shape to the array of shapes.
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`java.util.ArrayList` | `getShapes()` Gets the array of shapes that define the outline for each glyph.
`int` | `length(FSCoder coder)`
`void` | `setShapes(java.util.ArrayList anArray)` Sets the array of shapes that describe each glyph.

Methods inherited from class com.flagstone.transform.FSDefineObject
`getIdentifier, setIdentifier`

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSDefineFont

    public FSDefineFont(FSCoder coder)

  Construct an FSCall object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSDefineFont

    public FSDefineFont(int anIdentifier,
                        java.util.ArrayList anArray)

  Constructs an FSDefineFont object setting the unique identifier for the object and the array of glyphs used to render the characters used from the font.

  Parameters:
    `anIdentifier` - the unique identifier for this object.
    `anArray` - an array of FSShape objects that define the outlines for each glyph in the font.

### FSDefineFont

    public FSDefineFont(FSDefineFont obj)

  Constructs an FSDefineFont object by copying values from an existing object.

  Parameters:
    `obj` - an FSDefineFont object.

Method Detail

### add

    public void add(FSShape anObject)

  Add a shape to the array of shapes.

  Parameters:
    `anObject` - a shape.

### getShapes

    public java.util.ArrayList getShapes()

  Gets the array of shapes that define the outline for each glyph.

  Returns:
    an array of FSShape objects.

### setShapes

    public void setShapes(java.util.ArrayList anArray)

  Sets the array of shapes that describe each glyph.

  Parameters:
    `anArray` - an array of FSShape objects that define the outlines for each glyph in the font.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSDefineObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSDefineObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSDefineObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSDefineObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD